Bug 1887319 (CVE-2020-25648) - CVE-2020-25648 nss: TLS 1.3 CCS flood remote DoS Attack
Summary: CVE-2020-25648 nss: TLS 1.3 CCS flood remote DoS Attack
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-25648
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1887720 1887721 1889579 1976249
Blocks: 1887320
TreeView+ depends on / blocked
 
Reported: 2020-10-12 06:14 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-10-13 04:20 UTC (History)
10 users (show)

Fixed In Version: nss 3.58
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way NSS handled CCS (ChangeCipherSpec) messages in TLS 1.3. This flaw allows a remote attacker to send multiple CCS messages, causing a denial of service for servers compiled with the NSS library. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-04-27 16:46:30 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3572 0 None None None 2021-09-21 08:38:25 UTC

Description Huzaifa S. Sidhpurwala 2020-10-12 06:14:32 UTC
NSS allows an attacker to send CCS messages in a row after ClientHello message. If an attacker put multiple CCS messages in a single tcp packet, the NSS server will stuck in a loop for many times to process the messages. 

This issue affects servers which are compiled against the NSS library. Other consumers of NSS like firefox etc are not affected by this flaw.

Comment 2 Huzaifa S. Sidhpurwala 2020-10-13 08:04:31 UTC
Upstream patch: https://hg.mozilla.org/projects/nss/rev/57bbefa793232586d27cee83e74411171e128361
Upstream bug (currently private): https://bugzilla.mozilla.org/show_bug.cgi?id=1641480

Comment 4 RaTasha Tillery-Smith 2020-10-15 19:23:58 UTC
Statement:

This flaw only affects servers that are compiled with the NSS library and when the TLS 1.3 protocol is used.

Comment 5 Huzaifa S. Sidhpurwala 2020-10-20 04:00:25 UTC
External References:

https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/NSS_3.58_release_notes

Comment 6 Huzaifa S. Sidhpurwala 2020-10-20 04:02:07 UTC
Acknowledgments:

Name: the Mozilla project

Comment 7 Bob Relyea 2021-02-18 22:59:16 UTC
Wrong bug.

Comment 8 Divya 2021-03-01 05:29:41 UTC
Hello 

Can we have status update on this CVE for RHEL platforms marked affected as per https://access.redhat.com/security/cve/cve-2020-25648. I notice that for fedora, it has already been marked fixed at https://bugzilla.redhat.com/show_bug.cgi?id=1889579

Regards, 
Divya

Comment 10 errata-xmlrpc 2021-04-27 11:30:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:1384 https://access.redhat.com/errata/RHSA-2021:1384

Comment 11 Product Security DevOps Team 2021-04-27 16:46:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25648

Comment 12 errata-xmlrpc 2021-09-21 08:38:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3572 https://access.redhat.com/errata/RHSA-2021:3572


Note You need to log in before you can comment on or make changes to this bug.